> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the tree containing a task



## OpenAPI

````yaml api-reference/openapi.v1.json GET /tasks/{taskID}/tree
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /tasks/{taskID}/tree:
    get:
      tags:
        - tasks
      summary: Get the tree containing a task
      operationId: getTaskTree
      parameters:
        - in: path
          name: taskID
          required: true
          schema:
            format: uuid
            pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  additionalProperties: false
                  properties:
                    agent_type:
                      enum:
                        - codex
                        - claude-code
                        - opencode
                        - cursor
                      type: string
                    base_branch:
                      minLength: 1
                      pattern: \S
                      type: string
                    display_status:
                      enum:
                        - running
                        - awaiting_input
                        - approved
                        - awaiting_ci
                        - merged
                        - unmerged
                        - errored
                        - archived
                      type: string
                    head_branch:
                      type:
                        - string
                        - 'null'
                    id:
                      format: uuid
                      type: string
                    latest_status:
                      type:
                        - string
                        - 'null'
                    model:
                      type: string
                    name:
                      type: string
                    parent_task_id:
                      format: uuid
                      type:
                        - string
                        - 'null'
                    plan_progress:
                      $ref: '#/components/schemas/TaskPlanProgress'
                    pr_review_summary:
                      anyOf:
                        - $ref: '#/components/schemas/TaskPRReviewSummary'
                        - type: 'null'
                    primary_pull_request:
                      anyOf:
                        - additionalProperties: false
                          properties:
                            checks_failed:
                              format: int64
                              minimum: 0
                              type: integer
                            checks_passed:
                              format: int64
                              minimum: 0
                              type: integer
                            checks_total:
                              format: int64
                              minimum: 0
                              type: integer
                            html_url:
                              format: uri
                              type: string
                            pr_number:
                              format: int64
                              minimum: 1
                              type: integer
                            pull_request_id:
                              format: uuid
                              type: string
                            state:
                              enum:
                                - open
                                - closed
                                - merged
                              type:
                                - string
                                - 'null'
                          required:
                            - pull_request_id
                            - pr_number
                            - html_url
                            - state
                            - checks_passed
                            - checks_failed
                            - checks_total
                          type: object
                        - type: 'null'
                    source:
                      $ref: '#/components/schemas/TaskSource'
                    status:
                      enum:
                        - queued
                        - processing
                        - awaiting_input
                        - errored
                      type: string
                    updated_at:
                      format: date-time
                      type: string
                  required:
                    - id
                    - parent_task_id
                    - name
                    - source
                    - status
                    - display_status
                    - agent_type
                    - model
                    - base_branch
                    - head_branch
                    - primary_pull_request
                    - pr_review_summary
                    - latest_status
                    - updated_at
                  type: object
                type: array
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgAuthorizationErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
components:
  schemas:
    TaskPlanProgress:
      additionalProperties: false
      properties:
        completed:
          format: int64
          minimum: 0
          type: integer
        current_step:
          minLength: 1
          pattern: \S
          type: string
        total:
          format: int64
          minimum: 1
          type: integer
      required:
        - completed
        - total
      type: object
    TaskPRReviewSummary:
      additionalProperties: false
      properties:
        comment_count:
          format: int64
          minimum: 0
          type:
            - integer
            - 'null'
        pull_request_id:
          format: uuid
          type: string
        review_task_id:
          format: uuid
          type: string
        run_count:
          format: int64
          minimum: 1
          type: integer
        run_status:
          $ref: '#/components/schemas/ReviewRunStatus'
        severity_counts:
          $ref: '#/components/schemas/PRReviewSeverityCounts'
        summary_severity:
          $ref: '#/components/schemas/PRReviewSummarySeverity'
        verdict:
          $ref: '#/components/schemas/PRReviewSummaryVerdict'
      required:
        - review_task_id
        - pull_request_id
        - run_status
        - comment_count
        - run_count
      type: object
    TaskSource:
      enum:
        - manual
        - web
        - mobile
        - cli
        - ci
        - sentry
        - linear
        - slack
        - automation
        - pr_review
        - teleport
        - agent
        - delegation
      type: string
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
      required:
        - error
      type: object
    OrgAuthorizationErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - org_membership_required
            - org_role_insufficient
            - org_suspended
            - account_deleting
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    ReviewRunStatus:
      enum:
        - reviewing
        - completed
        - failed
        - cancelled
        - superseded
        - archived
      type: string
    PRReviewSeverityCounts:
      additionalProperties: false
      properties:
        confirmed:
          format: int64
          minimum: 0
          type: integer
        nit:
          format: int64
          minimum: 0
          type: integer
        p1:
          format: int64
          minimum: 0
          type: integer
        p2:
          format: int64
          minimum: 0
          type: integer
        question:
          format: int64
          minimum: 0
          type: integer
      required:
        - p1
        - p2
        - nit
        - question
        - confirmed
      type: object
    PRReviewSummarySeverity:
      enum:
        - p1
        - p2
        - nit
      type: string
    PRReviewSummaryVerdict:
      enum:
        - APPROVE
        - REQUEST_CHANGES
        - COMMENT
        - DISMISSED
        - SUPERSEDED
      type: string
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.